using Common.Dtos.Common;
using Common.Dtos.Season;

namespace Api.Services.Interfaces;

public interface ISeasonService
{
    Task<CreateSeasonResponse> CreateAsync(CreateSeasonRequest request);
    Task<PagedList<SeasonDto>> GetAllPagedAsync(GetSeasonsRequest request);
    Task<SeasonDto[]> GetAllAsync();
}
